Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Platzbedarf markieren

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Platzbedarf markieren (845 mal gelesen)
schachtelmacher
Mitglied
Verpackungsmittelmechaniker, Entwicklung


Sehen Sie sich das Profil von schachtelmacher an!   Senden Sie eine Private Message an schachtelmacher  Schreiben Sie einen Gästebucheintrag für schachtelmacher

Beiträge: 86
Registriert: 07.01.2004

Windows XP Prof.
Autocad 2004
Autocad 2007
Freecad
Erpa V-Pack
Ubuntu

erstellt am: 30. Mrz. 2005 14:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

ich habe wieder mal eine Frage:

Ich frage in einem Lispprogramm nach einem Einfügepunkt,
den ich später zum Einfügen eines Blockes benötige.
Dieser Block hat später eine Ausdehnung in x und y-Richtung.
Kann ich bei der Auswahl an das Fadenkreuz ein Rechteck visuell andocken um den Platzbedarf des Blockes anzuzeigen?
Der Sinn ist, dass ich vorher sehe, ob der Block irgendwo hineinragt,
wo er stören könnte.
Es funtioniert nicht mit der Gummibandlinie, da ich ja kein Aanfangspunkt habe.
Vielleicht eine interessante Aufgabe. Ich hoffe Ihr könnt mir helfen.

Grüsse

Schachtelmacher


------------------
"Es gibt keine Probleme, sondern nur Lösungen"

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 30. Mrz. 2005 15:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für schachtelmacher 10 Unities + Antwort hilfreich

Ein wenig Code sagt mehr als 1000 Worte. Hoffe, du kommst damit klar

(defun ....
  (setq P (grread 't 5 0))
  (setq VE (VIERECK (cadr P))
  (while (= 5 (car (setq P (grread 't 5 0))))
    (if VE (entdel VE))
    (setq VE (VIERECK (cadr P)))
  )
  (if (= 3 (car P))
    (command "_insert" ... (cadr P)...)
  )
)

(defun VE (P)
  (entmake
    ...
  )
  (entlast)
)
 


..aber insert bringt doch auch die Faktoren vx vy vz für die Voransicht mit ????
------------------
  - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

[Diese Nachricht wurde von CADmium am 30. Mrz. 2005 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

schachtelmacher
Mitglied
Verpackungsmittelmechaniker, Entwicklung


Sehen Sie sich das Profil von schachtelmacher an!   Senden Sie eine Private Message an schachtelmacher  Schreiben Sie einen Gästebucheintrag für schachtelmacher

Beiträge: 86
Registriert: 07.01.2004

erstellt am: 30. Mrz. 2005 15:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Das mit der Voransicht geht nicht, da der Block
erst später erstellt und fertig eingefügt wird.
Ich weiss aber schon die Abmessungen (z.B. 150 x 210 mm).
Jetzt soll bei der Frage nach dem Einfügepunkt, der durch
getpoint gesetzt wird, ein Rechteck am Fadenkreuz angedockt sein,
um die spätere Position des eingefügten Blocks zu demonstrieren.
Es soll kein Rechteck fest gezeichnet werden, oder eine Voransicht des Blocks
wie bei insert angezeigt werden.
Bei Bewegung des Fadenkreuzes soll das virtuelle Rechteck dem Cursor folgen.

Grüsse

schachtelmacher

------------------
"Es gibt keine Probleme, sondern nur Lösungen"

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

marc.scherer
Ehrenmitglied V.I.P. h.c.
CAD-Administrator



Sehen Sie sich das Profil von marc.scherer an!   Senden Sie eine Private Message an marc.scherer  Schreiben Sie einen Gästebucheintrag für marc.scherer

Beiträge: 2484
Registriert: 02.11.2001

Windows 10 64bit
AutoCAD Architecture 2018/2019 (deu/eng)
AEC-Collection 2019 (Revit und Zeugs)
Wenn sich's nicht vermeiden läßt:
D-A-CH Erweiterung (mies implementierter Schrott)

erstellt am: 30. Mrz. 2005 16:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für schachtelmacher 10 Unities + Antwort hilfreich

Hi,
teste mal das hier:
Aufruf mit z.B.:
(PointByCrosshair 40 55.25 155.37)
Code:

;;; Funktion ermittelt einen Punkt bezogen
;;; auf die aktuelle Lage des Fadenkreuzes
;;; Retval ist nil bei Rechtsklick oder Abbruch
;;; oder der Punkt, der bei einem linksklick
;;; vom Fadenkreuz definiert wurde.
;;; Übergabeparameter ist die Farbe, mit der
;;; die rechteckige Markierung gezeichnet werden soll...
(defun PointByCrosshair (color rw hw / P)
  (setq P (grread 't 1)) ;_ lese aktuelle Lage des Crosshairs
  (XORDRAW (cadr P) color rw hw) ;_ zeichne Geometrie um Crosshair
  (while (= 5 (car (setq P (grread 't 1)))) ;_ lese solange nicht linksgeklickt wird
    (redraw) ;_ grvecs löschen
    (XORDRAW (cadr P) color rw hw) ;_ Geometrie an neuer Lage zeichnen
  ) ;_ end of while
  (redraw)
  (if (= 3 (car P))
    (cadr P)
  ) ;_ end of if
) ;_ end of defun

(defun XORDRAW
      (PKT CLR BL-RW BL-HW / HOCH OBL OBR RECHTS UL UR VEK_LIST)
  (setq RECHTS  (car PKT)
        HOCH    (cadr PKT)
        UL      (list (- RECHTS (/ BL-RW 2)) (- HOCH (/ BL-HW 2)))
        UR      (list (+ RECHTS (/ BL-RW 2)) (- HOCH (/ BL-HW 2)))
        OBR      (list (+ RECHTS (/ BL-RW 2)) (+ HOCH (/ BL-HW 2)))
        OBL      (list (- RECHTS (/ BL-RW 2)) (+ HOCH (/ BL-HW 2)))
        VEK_LIST (list CLR UL UR UR OBR OBR OBL OBL UL UL OBR OBL UR)
  ) ;_ end setq
  (grvecs VEK_LIST)
) ;_ end of defun



...

------------------
Ciao,
Marc

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

schachtelmacher
Mitglied
Verpackungsmittelmechaniker, Entwicklung


Sehen Sie sich das Profil von schachtelmacher an!   Senden Sie eine Private Message an schachtelmacher  Schreiben Sie einen Gästebucheintrag für schachtelmacher

Beiträge: 86
Registriert: 07.01.2004

erstellt am: 30. Mrz. 2005 16:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke an Euch beide!

Das bringt mich weiter

------------------
"Es gibt keine Probleme, sondern nur Lösungen"

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz